<template>
			<div>
        <gmap-map
          :center="center"
          :zoom="10"
          style="width:100%;  height: 450px; margin:0;"
        >
          <gmap-marker
            v-for="pompier in pompiers" :key="pompier.id"
						:title="pompier.devaddr"
            :position="{lat: pompier.ddla, lng: pompier.ddlo}"
						:clickable="true"
            @click=""
						:icon= "markerOptions"
          ></gmap-marker>
        </gmap-map>
      </div>
</template>

<script>

export default {
  name: "GoogleMap",

  // Données de la GoogleMap
	data() {
		return {
			center: { lat: 48, lng: 7},
			//timer: setTimeout(this.update, this.intervalleRafraichissement),
			markerOptions: {
			     url: require('~/assets/Map-Marker.png'),
			     scaledSize: {width: 40, height: 40, f: 'px', b: 'px',},
				 },
			label: {
	     color: "#eb3a44",
	     fontSize: "16px",
	     fontWeight: "bold"
	   }
		}
	},

  // Démarre la géolocalisation au chargement de la page
	mounted() {
		this.geolocate();
	},

  // valeurs du $store
	computed: {
		pompiers () {
			return this.$store.state.donnee.telemetrie
		},
		intervalleRafraichissement () {
			return this.$store.state.parametres.intervalle
		}
	},

  // Méthodes de mise à jour, d'ajout de marqueurs et de localisation GPS
	methods: {
		async update() {
			this.$store.dispatch('donnee/updateDonnee');
			//clearTimeout(this.timer);
			//this.timer = setTimeout(this.update, this.intervalleRafraichissement);
		},
    addMarker(marker) {
			pompiers.push({ position: marker });
			this.center = marker;
			this.currentPlace = null;
    },
    geolocate: function() {
      navigator.geolocation.getCurrentPosition(position => {
        this.center = {
          lat: position.coords.latitude,
          lng: position.coords.longitude
        };
      });
    },
	}
};

</script>
